Docs
Accounts
GET
/accounts/{id}/tiktok-creator

TikTok requires apps to show the creator's name and let the poster choose from these settings before every post. Use privacyLevelOptions for options.tiktok.privacyLevel; when commentDisabled, duetDisabled or stitchDisabled is true, that interaction cannot be allowed.

Requires accounts:read.

Authorization

bearerAuth
AuthorizationBearer <token>

API key starting with fh_

In: header

Path Parameters

id*string

Account id

Match^acc_[0-9a-fA-F]{32}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://feedhorizon.com/api/v1/accounts/acc_0195f0a27b3c7d4e8f5a1b2c3d4e5f60/tiktok-creator"
{
  "data": {
    "creatorUsername": "string",
    "creatorNickname": "string",
    "creatorAvatarUrl": "string",
    "privacyLevelOptions": [
      "PUBLIC_TO_EVERYONE"
    ],
    "commentDisabled": true,
    "duetDisabled": true,
    "stitchDisabled": true,
    "maxVideoPostDurationSec": 0
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}